GET
Get Subscriptions

Authorizations

X-API-Key
string
header
required

Admins and Developers can obtain their Bolt API key from the Bolt Merchant Dashboard.

Headers

X-Publishable-Key
string
required

The publicly viewable identifier used to identify a merchant division. This key is found in the Developer > API section of the Bolt Merchant Dashboard.

X-Bolt-Connect-Seller-Id
string

For Bolt Connect marketplace integrations, the seller's external ID. When provided, the request acts on the seller's division rather than the caller's own division. Ignored if the seller_id query parameter is also set.

Query Parameters

seller_id
string

For Bolt Connect marketplace integrations, the seller's external ID. When provided, the request acts on the seller's division rather than the caller's own division. Takes precedence over the X-Bolt-Connect-Seller-Id header if both are set.

product_ids
string

Filter to subscriptions for these subscription product IDs. Comma-separated.

plan_ids
string

Filter to subscriptions on these plan IDs. Comma-separated.

emails
string

Filter to subscriptions for these shopper emails. Comma-separated.

statuses
enum<string>[]

Filter to subscriptions with these statuses. Comma-separated.

The current status of the subscription.

Available options:
active,
paused,
canceled,
payment_failed
page
integer
default:1

The page number to retrieve, starting at 1.

Required range: x >= 1
page_size
integer
default:400

The number of subscriptions to return per page.

Required range: 1 <= x <= 400

Response

Success

A paginated list of subscriptions.

subscriptions
Subscription · object[]
required
pagination
Pagination · object
required

Pagination details for a list response.